pcl::Histogram< N > Struct Template Reference
Module common

A point structure representing an N-D histogram. More...

`#include <pcl/impl/point_types.hpp>`

## Static Public Member Functions

static int | descriptorSize ()

## Public Attributes

float | histogram [N]

## Detailed Description

### template<int N>
struct pcl::Histogram< N >

A point structure representing an N-D histogram.

Members: float histogram[N].

Definition at line 1528 of file point_types.hpp.

## Member Function Documentation

## descriptorSize()

template<int N>

static int pcl::Histogram< N >::descriptorSize | ( |  | ) |

inline static

Definition at line 1531 of file point_types.hpp.

## Member Data Documentation

## histogram

template<int N>

float pcl::Histogram< N >::histogram[N]

Definition at line 1530 of file point_types.hpp.

Referenced by pcl::operator<<().

The documentation for this struct was generated from the following file:

- pcl/impl/point_types.hpp